webMIObj= {
data : {},

//cookies
storeDataInCookie : function() { 
    var stringifiedData = JSON.stringify(this.data); 
	this._setCookie("data", stringifiedData);
},

 readDataFromCookie : function(){
	var stringifiedData = this._getCookie("data");
	if(stringifiedData != ""){
		this.data = JSON.parse( stringifiedData );
		return true;
	}
	else{
		return false;
	}
 },

 deleteDataInCookie : function() {
	this._deleteCookie("data");
 },

 reloadedDueToConnectionProblem : function(){
   if(this.data.AlertUserForSessionTimeOut != 0){
		webMI.trigger.fire( "com.horner.alertuserforsessiontimeout", {"activated": "true", "timeOutBeforeSessionExpiry": this.data.AlertUserForSessionTimeOut, "defaultconfiguration": "true"});
		webMI.trigger.fire("com.horner.setLastActivityTimeToCurrentTime", "");
   }	
 },

 _setCookie : function(cname, cvalue) { 
    var expires = "expires=0";
    if (!!navigator.userAgent.match(/Trident\/7\./)){//if IE
		expires = ""; 
	}
    document.cookie = cname + "=" + cvalue + "; " + expires;
	//console.log("writting cookie"+ cname + "=" + cvalue );
 },

 _getCookie : function(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
    }
    return "";
 },

 _deleteCookie : function(cname){
	document.cookie = cname + "=; expires=Thu, 01 Jan 1970 00:00:00 UTC";
 }

};

webMIObj.data.EscToReturnScreens = [];
webMIObj.data.screen = "";
webMIObj.data.syncMode = false;
webMIObj.data.syncRegister;
webMIObj.data.pageMapping;
webMIObj.data.forceSyncRegister;
webMIObj.data.lastDisplayOpened;
webMIObj.data.isWebMIModel = true;
webMIObj.data.AlertUserForSessionTimeOut = 0;

webMIObj.inhibitSessionTimeOutSet = false;
webMIObj.lastActivityTime;


webMI.trigger.connect( "com.horner.screenchange", function(e){
	webMIObj.data.lastDisplayOpened = e.value;
	//console.log("screen number set to "+ screen);
 });

webMI.trigger.connect( "com.horner.keepSessionAlive", function(e){
	webMIObj.inhibitSessionTimeOutSet = true;
	setInterval(function() {
		webMI.data.write("KeepAliveVar",1);
	}, e.value);
});

webMI.trigger.connect( "com.horner.setLastActivityTimeToCurrentTime", function(e){
	webMIObj.lastActivityTime = Date.now();
});

webMI.trigger.connect( "com.horner.setAsWebPortalModel", function(e){
	webMIObj.data.isWebMIModel = false;
});

webMI.trigger.connect( "com.horner.checkseverconnection", function(e){
	webMI.callExtension("SYSTEM.LIBRARY.PROJECT.QUICKDYNAMICS.CheckServerConnection", e.value);
});

webMI.trigger.connect( "com.horner.alertuserforsessiontimeout", function(e){
	webMI.callExtension("SYSTEM.LIBRARY.PROJECT.QUICKDYNAMICS.AlertUserForSessionTimeOut", e.value);
    if(e.value.hasOwnProperty('timeOutBeforeSessionExpiry')){
		webMIObj.data.AlertUserForSessionTimeOut = e.value["timeOutBeforeSessionExpiry"];
	}
});

